Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[EBUILD] app-i18n/man-pages-fr
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
mrpouet
Retired Dev
Retired Dev


Joined: 29 Jul 2008
Posts: 87
Location: Bordeaux, France

PostPosted: Tue Dec 29, 2009 1:09 pm    Post subject: [EBUILD] app-i18n/man-pages-fr Reply with quote

Bonjour à tous,

je l'avais dejà annoncé il y a longtemps sur #gentoo-fr@freenode, mais la plupart devait être partie boire une bière (bande d'alcoolique :lol: ).

j'ai mis dans mon overlay une version à jour des pages de man fr (celles de portage ont au moins 3 ans...), synchro avec les dernière version sys-apps/man-pages (3.23).
j'ai simplement utilisé les sources et le patchset de debian (qui à mon sens sont trés bien).

Il faut savoir une chose, c'est que nroff et groff supportent trés mal l'UTF-8, alors attendant que diego s'en charge, je fais une conversion à la volée en ISO depuis src_install() (via iconv, enfin si vous avez une meilleure idée, n'hésitez pas ;) ).
Principalement car çà m'a gonflé de passer je ne sais pas combien de temps à bidouiller mon /etc/man.conf (puis bon çà donne pas beaucoup envie aux utilisateurs débutants je suppose...) . La c'est automatique et portage fait tout...

Je poste ici, pour la simple est bonne raison, qu'en général vous n'hésitez pas à dire les choses (faites juste l'impasse sur mon orthographe :oops: ).
Si vous trouvez çà, sympas, je le balancerai dans portage :)

PS: c'est juste une idée mais je pense que celà pourrait être intéressant si la communauté francophone de gentoo, s'organiserait afin de traduire les pages de man propres à notre chère distributions (genre make.conf, emerge, portage... etc...)

Il y a cependant des documentations online, mais bon les pages de man çà reste toujours pratique, surtout lorsqu'on est offline ;)
Back to top
View user's profile Send private message
Pixys
l33t
l33t


Joined: 23 May 2005
Posts: 669

PostPosted: Wed Dec 30, 2009 2:26 pm    Post subject: Re: [EBUILD] app-i18n/man-pages-fr Reply with quote

mrpouet wrote:
Je poste ici, pour la simple est bonne raison, qu'en général vous n'hésitez pas à dire les choses

ben, euh, merci ;-)
_________________
Funtoo ~core2, lvm2, reiser4
FreeBSD-9, ZFS
ArchLinux
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2579
Location: 92

PostPosted: Wed Dec 30, 2009 2:39 pm    Post subject: Reply with quote

Roh punaise faudrait que je jette un oeil à mon nroff... ça fait des années que j'ai bidouillé ça pour obtenir un truc potable!
J'y jetterai un oeil quand je serai devant ma Gentoo avec du temps pour ça :)
_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3559
Location: Belgium

PostPosted: Wed Dec 30, 2009 3:21 pm    Post subject: Reply with quote

Merci mrpouet !
Fonctionne aux p'tits zonions !
Je peux enfin virer tous les affreux bidouillages de /etc/man.conf qui de toutes façons ne fonctionnaient qu'à moitié ! :)
Back to top
View user's profile Send private message
mrpouet
Retired Dev
Retired Dev


Joined: 29 Jul 2008
Posts: 87
Location: Bordeaux, France

PostPosted: Wed Dec 30, 2009 8:03 pm    Post subject: Re: [EBUILD] app-i18n/man-pages-fr Reply with quote

Pixys wrote:
mrpouet wrote:
Je poste ici, pour la simple est bonne raison, qu'en général vous n'hésitez pas à dire les choses

ben, euh, merci ;-)


c'était un compliment :lol:

ghoti wrote:

Merci mrpouet !
Fonctionne aux p'tits zonions !
Je peux enfin virer tous les affreux bidouillages de /etc/man.conf qui de toutes façons ne fonctionnaient qu'à moitié ! :)


Ah ben tant mieux alors, moi j'y avais passé 3h sur ce truc en obtenant quelque chose qu'à moitié potable.. dont l'encodage était cassé une fois sur
deux... 8O

content d'avoir pu t'aider ;)
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3136

PostPosted: Wed Dec 30, 2009 8:26 pm    Post subject: Reply with quote

Good news ! Merci ! :D
C'est vrai qu'au bout du compte, c'était toujours +/- bancal quel que soit ce qu'on passait à nroff - je teste aussi dès que je rentre... l'année prochaine ^^
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3559
Location: Belgium

PostPosted: Wed Dec 30, 2009 11:12 pm    Post subject: Reply with quote

Le problème c'était que quand la conversion était bonne pour man-pages-fr, ça foirait avec les pages fournies avec les applis telle que nano ou mplayer qui, elles, étaient pourtant correctes au départ avec le paramètre -mandoc.
Et vice-versa bien sûr !
J'avais essayé aussi bien "recode" que "iconv" mais pas moyen d'avoir une soluce universelle :(

Avec la remise à plat de mrpouet dès l'emerge, tout baigne enfin ! :D :cool:

@mrpouet : en effet, ce serait cool si tu pouvais passer ton ebuild dans l'arbre officiel ! ;)
Back to top
View user's profile Send private message
mrpouet
Retired Dev
Retired Dev


Joined: 29 Jul 2008
Posts: 87
Location: Bordeaux, France

PostPosted: Fri Jan 01, 2010 5:05 pm    Post subject: Reply with quote

Okay, je m'occupe de çà demain matin, pas de soucis.
non car là j'ai une méchante gueule de bois, je suis pas vraiment en état :lol:

Au fait bonne année les gars :)
Back to top
View user's profile Send private message
TGL
Bodhisattva
Bodhisattva


Joined: 02 Jun 2002
Posts: 1978
Location: Rennes, France

PostPosted: Sun Jan 17, 2010 2:33 pm    Post subject: Reply with quote

Salut mrpouet, et coucou les anciens !

De passage ici parce que moi aussi nroff me faisait des misères, j'ai essayé ton ebuild. Globalement, c'est cool, ça marche, fini les caractères barbares. Par contre, j'ai pas vraiment l'impression que cette nouvelle version fournisse toutes les pages qui étaient dispos dans la vieille version qui est dans Portage: il manque notamment toutes les pages de la section 1, donc les commandes les plus basiques ("man cp" et compagnie). Dans le repository Debian, j'ai trouvé un "manpages-fr-extra" qui fournit ces pages manquantes.

Perso, je les ai installées en les ajoutant à ton ebuild. Voilà le patch, si ça t'intéresse :
Code:

diff --git a/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild b/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild
index e75224a..a27737d 100644
--- a/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild
+++ b/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild
@@ -7,11 +7,15 @@ inherit eutils
 MY_PN=${PN/-}
 MY_P=${MY_PN}_${PV}
 PATCH_LEVEL=1
+EXTRA_PN=${MY_PN}-extra
+EXTRA_PV=20090906
+EXTRA_P=${EXTRA_PN}_${EXTRA_PV}
 
 DESCRIPTION="A collection of french Linux man pages"
 HOMEPAGE="http://packages.debian.org"
 SRC_URI="mirror://debian/pool/main/m/${MY_PN}/${MY_P}.orig.tar.gz
-   mirror://debian/pool/main/m/${MY_PN}/${MY_P}-${PATCH_LEVEL}.diff.gz"
+   mirror://debian/pool/main/m/${MY_PN}/${MY_P}-${PATCH_LEVEL}.diff.gz
+   mirror://debian/pool/main/m/${EXTRA_PN}/${EXTRA_P}.tar.gz"
 
 LICENSE="freedist"
 SLOT="0"
@@ -24,6 +28,7 @@ DEPEND="sys-devel/gettext
    app-text/po4a"
 
 S=${WORKDIR}/${MY_PN}-${PV}
+EXTRA_S=../${EXTRA_PV}
 
 src_unpack() {
    unpack ${A}
@@ -31,9 +36,29 @@ src_unpack() {
    cd "${S}"
    mv ../{manpages,manpages-dev} .
    epatch "${WORKDIR}/${MY_P}-${PATCH_LEVEL}.diff"
+
+   # manpages-extra: openssl manpages need a modified pod2man ("--utf8" option)
+   sed -i 's: openssl : :' ${EXTRA_S}/Makefile \
+      || die "Failed to sed manpages-fr-extra Makefile"
+}
+
+src_compile() {
+   emake || die "emake failed for manpages-fr"
+   cd "${EXTRA_S}"
+   emake || die "emake failed for manpages-fr-extra"
 }
+
 src_install() {
-   local man_pages="$(echo {manpages,manpages-dev}/fr/*/*) $(echo manpagesfr/*/*)"
+   # install manpages-fr-extra in a "man" subdir
+   cd "${EXTRA_S}"
+   make install || die "make install failed for manpages-fr-extra"
+   rm man/man1/groups.1 # in collision with sys-apps/shadow
+   cd "${S}"
+
+   local man_pages="\
+      $(echo {manpages,manpages-dev}/fr/*/*) \
+      $(echo manpagesfr/*/*) \
+      $(echo ${EXTRA_S}/man/*/*)"
 
    # nroff has some difficulties with charset=utf-8
    einfo "Converting man-pages to ISO-8859-1"

Bon, j'ai fait au plus court hein, mais évidemment ça pourrait aussi être l'objet d'un ebuild séparé (sûrement plus propre), et/ou d'un USE flag, ou que sais-je encore...

Et pour info, voilà la liste des pages que cette modif' ajoute :
Code:
/usr/share/man/fr/man1/[.1.bz2
/usr/share/man/fr/man1/arch.1.bz2
/usr/share/man/fr/man1/at.1.bz2
/usr/share/man/fr/man1/atq.1.bz2
/usr/share/man/fr/man1/atrm.1.bz2
/usr/share/man/fr/man1/base64.1.bz2
/usr/share/man/fr/man1/basename.1.bz2
/usr/share/man/fr/man1/bash.1.bz2
/usr/share/man/fr/man1/bash-minimal.1.bz2
/usr/share/man/fr/man1/bash-static.1.bz2
/usr/share/man/fr/man1/batch.1.bz2
/usr/share/man/fr/man1/cat.1.bz2
/usr/share/man/fr/man1/catchsegv.1.bz2
/usr/share/man/fr/man1/chattr.1.bz2
/usr/share/man/fr/man1/chcon.1.bz2
/usr/share/man/fr/man1/chgrp.1.bz2
/usr/share/man/fr/man1/chkdupexe.1.bz2
/usr/share/man/fr/man1/chmod.1.bz2
/usr/share/man/fr/man1/chown.1.bz2
/usr/share/man/fr/man1/chrt.1.bz2
/usr/share/man/fr/man1/cksum.1.bz2
/usr/share/man/fr/man1/clear_console.1.bz2
/usr/share/man/fr/man1/cmp.1.bz2
/usr/share/man/fr/man1/comm.1.bz2
/usr/share/man/fr/man1/compile_et.1.bz2
/usr/share/man/fr/man1/cp.1.bz2
/usr/share/man/fr/man1/crontab.1.bz2
/usr/share/man/fr/man1/csplit.1.bz2
/usr/share/man/fr/man1/cut.1.bz2
/usr/share/man/fr/man1/date.1.bz2
/usr/share/man/fr/man1/dd.1.bz2
/usr/share/man/fr/man1/ddate.1.bz2
/usr/share/man/fr/man1/df.1.bz2
/usr/share/man/fr/man1/diff.1.bz2
/usr/share/man/fr/man1/diff3.1.bz2
/usr/share/man/fr/man1/dir.1.bz2
/usr/share/man/fr/man1/dircolors.1.bz2
/usr/share/man/fr/man1/dirname.1.bz2
/usr/share/man/fr/man1/dmesg.1.bz2
/usr/share/man/fr/man1/du.1.bz2
/usr/share/man/fr/man1/echo.1.bz2
/usr/share/man/fr/man1/egrep.1.bz2
/usr/share/man/fr/man1/env.1.bz2
/usr/share/man/fr/man1/expand.1.bz2
/usr/share/man/fr/man1/expr.1.bz2
/usr/share/man/fr/man1/factor.1.bz2
/usr/share/man/fr/man1/false.1.bz2
/usr/share/man/fr/man1/fgrep.1.bz2
/usr/share/man/fr/man1/find.1.bz2
/usr/share/man/fr/man1/flock.1.bz2
/usr/share/man/fr/man1/fmt.1.bz2
/usr/share/man/fr/man1/fold.1.bz2
/usr/share/man/fr/man1/free.1.bz2
/usr/share/man/fr/man1/gencat.1.bz2
/usr/share/man/fr/man1/getconf.1.bz2
/usr/share/man/fr/man1/getent.1.bz2
/usr/share/man/fr/man1/getopt.1.bz2
/usr/share/man/fr/man1/grep.1.bz2
/usr/share/man/fr/man1/head.1.bz2
/usr/share/man/fr/man1/hostid.1.bz2
/usr/share/man/fr/man1/iconv.1.bz2
/usr/share/man/fr/man1/id.1.bz2
/usr/share/man/fr/man1/install.1.bz2
/usr/share/man/fr/man1/ipcrm.1.bz2
/usr/share/man/fr/man1/ipcs.1.bz2
/usr/share/man/fr/man1/join.1.bz2
/usr/share/man/fr/man1/kill.1.bz2
/usr/share/man/fr/man1/last.1.bz2
/usr/share/man/fr/man1/lastb.1.bz2
/usr/share/man/fr/man1/ldd.1.bz2
/usr/share/man/fr/man1/line.1.bz2
/usr/share/man/fr/man1/link.1.bz2
/usr/share/man/fr/man1/linux32.1.bz2
/usr/share/man/fr/man1/linux64.1.bz2
/usr/share/man/fr/man1/ln.1.bz2
/usr/share/man/fr/man1/locale.1.bz2
/usr/share/man/fr/man1/localedef.1.bz2
/usr/share/man/fr/man1/locate.findutils.1.bz2
/usr/share/man/fr/man1/logger.1.bz2
/usr/share/man/fr/man1/logname.1.bz2
/usr/share/man/fr/man1/ls.1.bz2
/usr/share/man/fr/man1/lsattr.1.bz2
/usr/share/man/fr/man1/mcookie.1.bz2
/usr/share/man/fr/man1/md5sum.1.bz2
/usr/share/man/fr/man1/md5sum.textutils.1.bz2
/usr/share/man/fr/man1/mesg.1.bz2
/usr/share/man/fr/man1/mk_cmds.1.bz2
/usr/share/man/fr/man1/mkdir.1.bz2
/usr/share/man/fr/man1/mkfifo.1.bz2
/usr/share/man/fr/man1/mknod.1.bz2
/usr/share/man/fr/man1/mktemp.1.bz2
/usr/share/man/fr/man1/more.1.bz2
/usr/share/man/fr/man1/most.1.bz2
/usr/share/man/fr/man1/mountpoint.1.bz2
/usr/share/man/fr/man1/mtrace.1.bz2
/usr/share/man/fr/man1/mv.1.bz2
/usr/share/man/fr/man1/nice.1.bz2
/usr/share/man/fr/man1/nl.1.bz2
/usr/share/man/fr/man1/nohup.1.bz2
/usr/share/man/fr/man1/od.1.bz2
/usr/share/man/fr/man1/paste.1.bz2
/usr/share/man/fr/man1/pathchk.1.bz2
/usr/share/man/fr/man1/pg.1.bz2
/usr/share/man/fr/man1/pgrep.1.bz2
/usr/share/man/fr/man1/pinky.1.bz2
/usr/share/man/fr/man1/pkill.1.bz2
/usr/share/man/fr/man1/pmap.1.bz2
/usr/share/man/fr/man1/pr.1.bz2
/usr/share/man/fr/man1/printenv.1.bz2
/usr/share/man/fr/man1/printf.1.bz2
/usr/share/man/fr/man1/ptx.1.bz2
/usr/share/man/fr/man1/pwd.1.bz2
/usr/share/man/fr/man1/pwdx.1.bz2
/usr/share/man/fr/man1/rbash.1.bz2
/usr/share/man/fr/man1/readlink.1.bz2
/usr/share/man/fr/man1/readprofile.1.bz2
/usr/share/man/fr/man1/rename.ul.1.bz2
/usr/share/man/fr/man1/renice.1.bz2
/usr/share/man/fr/man1/rev.1.bz2
/usr/share/man/fr/man1/rgrep.1.bz2
/usr/share/man/fr/man1/rm.1.bz2
/usr/share/man/fr/man1/rmdir.1.bz2
/usr/share/man/fr/man1/runcon.1.bz2
/usr/share/man/fr/man1/script.1.bz2
/usr/share/man/fr/man1/scriptreplay.1.bz2
/usr/share/man/fr/man1/sdiff.1.bz2
/usr/share/man/fr/man1/seq.1.bz2
/usr/share/man/fr/man1/setsid.1.bz2
/usr/share/man/fr/man1/setterm.1.bz2
/usr/share/man/fr/man1/sh.1.bz2
/usr/share/man/fr/man1/sha1sum.1.bz2
/usr/share/man/fr/man1/sha224sum.1.bz2
/usr/share/man/fr/man1/sha256sum.1.bz2
/usr/share/man/fr/man1/sha384sum.1.bz2
/usr/share/man/fr/man1/sha512sum.1.bz2
/usr/share/man/fr/man1/shred.1.bz2
/usr/share/man/fr/man1/shuf.1.bz2
/usr/share/man/fr/man1/skill.1.bz2
/usr/share/man/fr/man1/slabtop.1.bz2
/usr/share/man/fr/man1/sleep.1.bz2
/usr/share/man/fr/man1/snice.1.bz2
/usr/share/man/fr/man1/sort.1.bz2
/usr/share/man/fr/man1/split.1.bz2
/usr/share/man/fr/man1/sprof.1.bz2
/usr/share/man/fr/man1/stat.1.bz2
/usr/share/man/fr/man1/stdbuf.1.bz2
/usr/share/man/fr/man1/stty.1.bz2
/usr/share/man/fr/man1/sum.1.bz2
/usr/share/man/fr/man1/sync.1.bz2
/usr/share/man/fr/man1/tac.1.bz2
/usr/share/man/fr/man1/tail.1.bz2
/usr/share/man/fr/man1/tailf.1.bz2
/usr/share/man/fr/man1/taskset.1.bz2
/usr/share/man/fr/man1/tee.1.bz2
/usr/share/man/fr/man1/test.1.bz2
/usr/share/man/fr/man1/timeout.1.bz2
/usr/share/man/fr/man1/tload.1.bz2
/usr/share/man/fr/man1/top.1.bz2
/usr/share/man/fr/man1/touch.1.bz2
/usr/share/man/fr/man1/tr.1.bz2
/usr/share/man/fr/man1/true.1.bz2
/usr/share/man/fr/man1/truncate.1.bz2
/usr/share/man/fr/man1/tsort.1.bz2
/usr/share/man/fr/man1/tty.1.bz2
/usr/share/man/fr/man1/tzselect.1.bz2
/usr/share/man/fr/man1/uname.1.bz2
/usr/share/man/fr/man1/unexpand.1.bz2
/usr/share/man/fr/man1/uniq.1.bz2
/usr/share/man/fr/man1/unlink.1.bz2
/usr/share/man/fr/man1/uptime.1.bz2
/usr/share/man/fr/man1/users.1.bz2
/usr/share/man/fr/man1/uuidgen.1.bz2
/usr/share/man/fr/man1/vdir.1.bz2
/usr/share/man/fr/man1/wall.1.bz2
/usr/share/man/fr/man1/wc.1.bz2
/usr/share/man/fr/man1/whereis.1.bz2
/usr/share/man/fr/man1/who.1.bz2
/usr/share/man/fr/man1/whoami.1.bz2
/usr/share/man/fr/man1/w.procps.1.bz2
/usr/share/man/fr/man1/xargs.1.bz2
/usr/share/man/fr/man1/yes.1.bz2
/usr/share/man/fr/man1/zdump.1.bz2
/usr/share/man/fr/man3/com_err.3.bz2
/usr/share/man/fr/man3/pthread_atfork.3.bz2
/usr/share/man/fr/man3/pthread_condattr_destroy.3.bz2
/usr/share/man/fr/man3/pthread_condattr_init.3.bz2
/usr/share/man/fr/man3/pthread_cond_broadcast.3.bz2
/usr/share/man/fr/man3/pthread_cond_destroy.3.bz2
/usr/share/man/fr/man3/pthread_cond_init.3.bz2
/usr/share/man/fr/man3/pthread_cond_signal.3.bz2
/usr/share/man/fr/man3/pthread_cond_timedwait.3.bz2
/usr/share/man/fr/man3/pthread_cond_wait.3.bz2
/usr/share/man/fr/man3/pthread_getspecific.3.bz2
/usr/share/man/fr/man3/pthread_key_create.3.bz2
/usr/share/man/fr/man3/pthread_key_delete.3.bz2
/usr/share/man/fr/man3/pthread_kill_other_threads_np.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_destroy.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_gettype.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_init.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_setkind_np.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_settype.3.bz2
/usr/share/man/fr/man3/pthread_mutex_destroy.3.bz2
/usr/share/man/fr/man3/pthread_mutex_init.3.bz2
/usr/share/man/fr/man3/pthread_mutex_lock.3.bz2
/usr/share/man/fr/man3/pthread_mutex_trylock.3.bz2
/usr/share/man/fr/man3/pthread_mutex_unlock.3.bz2
/usr/share/man/fr/man3/pthread_once.3.bz2
/usr/share/man/fr/man3/pthread_setspecific.3.bz2
/usr/share/man/fr/man3/pthread_sigmask.3.bz2
/usr/share/man/fr/man3/uuid_clear.3.bz2
/usr/share/man/fr/man3/uuid_compare.3.bz2
/usr/share/man/fr/man3/uuid_copy.3.bz2
/usr/share/man/fr/man3/uuid_generate.3.bz2
/usr/share/man/fr/man3/uuid_generate_random.3.bz2
/usr/share/man/fr/man3/uuid_generate_time.3.bz2
/usr/share/man/fr/man3/uuid_is_null.3.bz2
/usr/share/man/fr/man3/uuid_parse.3.bz2
/usr/share/man/fr/man3/uuid_time.3.bz2
/usr/share/man/fr/man3/uuid_unparse.3.bz2
/usr/share/man/fr/man5/at.allow.5.bz2
/usr/share/man/fr/man5/at.deny.5.bz2
/usr/share/man/fr/man5/crontab.5.bz2
/usr/share/man/fr/man5/e2fsck.conf.5.bz2
/usr/share/man/fr/man5/exports.5.bz2
/usr/share/man/fr/man5/fstab.5.bz2
/usr/share/man/fr/man5/gai.conf.5.bz2
/usr/share/man/fr/man5/halt.5.bz2
/usr/share/man/fr/man5/idmapd.conf.5.bz2
/usr/share/man/fr/man5/initscript.5.bz2
/usr/share/man/fr/man5/inittab.5.bz2
/usr/share/man/fr/man5/lilo.conf.5.bz2
/usr/share/man/fr/man5/locale.gen.5.bz2
/usr/share/man/fr/man5/locatedb.5.bz2
/usr/share/man/fr/man5/mke2fs.conf.5.bz2
/usr/share/man/fr/man5/nfs.5.bz2
/usr/share/man/fr/man5/nscd.conf.5.bz2
/usr/share/man/fr/man5/rcS.5.bz2
/usr/share/man/fr/man5/sysctl.conf.5.bz2
/usr/share/man/fr/man7/bash-builtins.7.bz2
/usr/share/man/fr/man7/nfsd.7.bz2
/usr/share/man/fr/man8/activate.8.bz2
/usr/share/man/fr/man8/addpart.8.bz2
/usr/share/man/fr/man8/atd.8.bz2
/usr/share/man/fr/man8/badblocks.8.bz2
/usr/share/man/fr/man8/blockdev.8.bz2
/usr/share/man/fr/man8/bootlogd.8.bz2
/usr/share/man/fr/man8/cfdisk.8.bz2
/usr/share/man/fr/man8/chroot.8.bz2
/usr/share/man/fr/man8/clock.8.bz2
/usr/share/man/fr/man8/cron.8.bz2
/usr/share/man/fr/man8/ctrlaltdel.8.bz2
/usr/share/man/fr/man8/cytune.8.bz2
/usr/share/man/fr/man8/debugfs.reiser4.8.bz2
/usr/share/man/fr/man8/debugreiserfs.8.bz2
/usr/share/man/fr/man8/delpart.8.bz2
/usr/share/man/fr/man8/dosfsck.8.bz2
/usr/share/man/fr/man8/dosfslabel.8.bz2
/usr/share/man/fr/man8/dumpe2fs.8.bz2
/usr/share/man/fr/man8/e2freefrag.8.bz2
/usr/share/man/fr/man8/e2fsck.8.bz2
/usr/share/man/fr/man8/e2fsck.static.8.bz2
/usr/share/man/fr/man8/e2image.8.bz2
/usr/share/man/fr/man8/e2label.8.bz2
/usr/share/man/fr/man8/e2undo.8.bz2
/usr/share/man/fr/man8/exportfs.8.bz2
/usr/share/man/fr/man8/fdformat.8.bz2
/usr/share/man/fr/man8/fdisk.8.bz2
/usr/share/man/fr/man8/findfs.8.bz2
/usr/share/man/fr/man8/fsck.8.bz2
/usr/share/man/fr/man8/fsck.ext2.8.bz2
/usr/share/man/fr/man8/fsck.ext3.8.bz2
/usr/share/man/fr/man8/fsck.ext4.8.bz2
/usr/share/man/fr/man8/fsck.ext4dev.8.bz2
/usr/share/man/fr/man8/fsck.minix.8.bz2
/usr/share/man/fr/man8/fsck.msdos.8.bz2
/usr/share/man/fr/man8/fsck.nfs.8.bz2
/usr/share/man/fr/man8/fsck.reiser4.8.bz2
/usr/share/man/fr/man8/fsck.vfat.8.bz2
/usr/share/man/fr/man8/fstab-decode.8.bz2
/usr/share/man/fr/man8/getty.8.bz2
/usr/share/man/fr/man8/gssd.8.bz2
/usr/share/man/fr/man8/halt.8.bz2
/usr/share/man/fr/man8/hwclock.8.bz2
/usr/share/man/fr/man8/i386.8.bz2
/usr/share/man/fr/man8/iconvconfig.8.bz2
/usr/share/man/fr/man8/idmapd.8.bz2
/usr/share/man/fr/man8/init.8.bz2
/usr/share/man/fr/man8/invoke-rc.d.8.bz2
/usr/share/man/fr/man8/isosize.8.bz2
/usr/share/man/fr/man8/keytab-lilo.8.bz2
/usr/share/man/fr/man8/killall5.8.bz2
/usr/share/man/fr/man8/ldconfig.8.bz2
/usr/share/man/fr/man8/ld.so.8.bz2
/usr/share/man/fr/man8/lilo.8.bz2
/usr/share/man/fr/man8/liloconfig.8.bz2
/usr/share/man/fr/man8/lilo_find_mbr.8.bz2
/usr/share/man/fr/man8/lilo.real.8.bz2
/usr/share/man/fr/man8/locale-gen.8.bz2
/usr/share/man/fr/man8/logsave.8.bz2
/usr/share/man/fr/man8/losetup.8.bz2
/usr/share/man/fr/man8/measurefs.reiser4.8.bz2
/usr/share/man/fr/man8/mkdosfs.8.bz2
/usr/share/man/fr/man8/mke2fs.8.bz2
/usr/share/man/fr/man8/mkfs.8.bz2
/usr/share/man/fr/man8/mkfs.ext2.8.bz2
/usr/share/man/fr/man8/mkfs.ext3.8.bz2
/usr/share/man/fr/man8/mkfs.ext4dev.8.bz2
/usr/share/man/fr/man8/mkfs.minix.8.bz2
/usr/share/man/fr/man8/mkfs.msdos.8.bz2
/usr/share/man/fr/man8/mkfs.reiser4.8.bz2
/usr/share/man/fr/man8/mkfs.vfat.8.bz2
/usr/share/man/fr/man8/mklost+found.8.bz2
/usr/share/man/fr/man8/mkreiserfs.8.bz2
/usr/share/man/fr/man8/mkrescue.8.bz2
/usr/share/man/fr/man8/mount.8.bz2
/usr/share/man/fr/man8/mountd.8.bz2
/usr/share/man/fr/man8/mount.nfs.8.bz2
/usr/share/man/fr/man8/nfsd.8.bz2
/usr/share/man/fr/man8/nfsstat.8.bz2
/usr/share/man/fr/man8/nscd.8.bz2
/usr/share/man/fr/man8/partx.8.bz2
/usr/share/man/fr/man8/pidof.8.bz2
/usr/share/man/fr/man8/pivot_root.8.bz2
/usr/share/man/fr/man8/poweroff.8.bz2
/usr/share/man/fr/man8/ramsize.8.bz2
/usr/share/man/fr/man8/rdev.8.bz2
/usr/share/man/fr/man8/reboot.8.bz2
/usr/share/man/fr/man8/resize2fs.8.bz2
/usr/share/man/fr/man8/rmt-tar.8.bz2
/usr/share/man/fr/man8/rootflags.8.bz2
/usr/share/man/fr/man8/rpcdebug.8.bz2
/usr/share/man/fr/man8/rpc.gssd.8.bz2
/usr/share/man/fr/man8/rpc.idmapd.8.bz2
/usr/share/man/fr/man8/rpc.mountd.8.bz2
/usr/share/man/fr/man8/rpc.nfsd.8.bz2
/usr/share/man/fr/man8/rpc.statd.8.bz2
/usr/share/man/fr/man8/rpc.svcgssd.8.bz2
/usr/share/man/fr/man8/runlevel.8.bz2
/usr/share/man/fr/man8/service.8.bz2
/usr/share/man/fr/man8/setarch.8.bz2
/usr/share/man/fr/man8/sfdisk.8.bz2
/usr/share/man/fr/man8/showmount.8.bz2
/usr/share/man/fr/man8/shutdown.8.bz2
/usr/share/man/fr/man8/sm-notify.8.bz2
/usr/share/man/fr/man8/startpar.8.bz2
/usr/share/man/fr/man8/statd.8.bz2
/usr/share/man/fr/man8/sulogin.8.bz2
/usr/share/man/fr/man8/svcgssd.8.bz2
/usr/share/man/fr/man8/swapoff.8.bz2
/usr/share/man/fr/man8/swapon.8.bz2
/usr/share/man/fr/man8/sysctl.8.bz2
/usr/share/man/fr/man8/telinit.8.bz2
/usr/share/man/fr/man8/tune2fs.8.bz2
/usr/share/man/fr/man8/umount.8.bz2
/usr/share/man/fr/man8/umount.nfs.8.bz2
/usr/share/man/fr/man8/update-lilo.8.bz2
/usr/share/man/fr/man8/update-locale.8.bz2
/usr/share/man/fr/man8/update-rc.d.8.bz2
/usr/share/man/fr/man8/validlocale.8.bz2
/usr/share/man/fr/man8/vidmode.8.bz2
/usr/share/man/fr/man8/vmstat.8.bz2
/usr/share/man/fr/man8/zic.8.bz2


Voilà voilà, mes 2 centimes...
Et bonne année à tous !
Back to top
View user's profile Send private message
mrpouet
Retired Dev
Retired Dev


Joined: 29 Jul 2008
Posts: 87
Location: Bordeaux, France

PostPosted: Thu Jan 21, 2010 7:24 pm    Post subject: Reply with quote

TGL wrote:
Salut mrpouet, et coucou les anciens !

De passage ici parce que moi aussi nroff me faisait des misères, j'ai essayé ton ebuild. Globalement, c'est cool, ça marche, fini les caractères barbares. Par contre, j'ai pas vraiment l'impression que cette nouvelle version fournisse toutes les pages qui étaient dispos dans la vieille version qui est dans Portage: il manque notamment toutes les pages de la section 1, donc les commandes les plus basiques ("man cp" et compagnie). Dans le repository Debian, j'ai trouvé un "manpages-fr-extra" qui fournit ces pages manquantes.

Perso, je les ai installées en les ajoutant à ton ebuild. Voilà le patch, si ça t'intéresse :
Code:

diff --git a/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild b/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild
index e75224a..a27737d 100644
--- a/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild
+++ b/app-i18n/man-pages-fr/man-pages-fr-3.23.1.ebuild
@@ -7,11 +7,15 @@ inherit eutils
 MY_PN=${PN/-}
 MY_P=${MY_PN}_${PV}
 PATCH_LEVEL=1
+EXTRA_PN=${MY_PN}-extra
+EXTRA_PV=20090906
+EXTRA_P=${EXTRA_PN}_${EXTRA_PV}
 
 DESCRIPTION="A collection of french Linux man pages"
 HOMEPAGE="http://packages.debian.org"
 SRC_URI="mirror://debian/pool/main/m/${MY_PN}/${MY_P}.orig.tar.gz
-   mirror://debian/pool/main/m/${MY_PN}/${MY_P}-${PATCH_LEVEL}.diff.gz"
+   mirror://debian/pool/main/m/${MY_PN}/${MY_P}-${PATCH_LEVEL}.diff.gz
+   mirror://debian/pool/main/m/${EXTRA_PN}/${EXTRA_P}.tar.gz"
 
 LICENSE="freedist"
 SLOT="0"
@@ -24,6 +28,7 @@ DEPEND="sys-devel/gettext
    app-text/po4a"
 
 S=${WORKDIR}/${MY_PN}-${PV}
+EXTRA_S=../${EXTRA_PV}
 
 src_unpack() {
    unpack ${A}
@@ -31,9 +36,29 @@ src_unpack() {
    cd "${S}"
    mv ../{manpages,manpages-dev} .
    epatch "${WORKDIR}/${MY_P}-${PATCH_LEVEL}.diff"
+
+   # manpages-extra: openssl manpages need a modified pod2man ("--utf8" option)
+   sed -i 's: openssl : :' ${EXTRA_S}/Makefile \
+      || die "Failed to sed manpages-fr-extra Makefile"
+}
+
+src_compile() {
+   emake || die "emake failed for manpages-fr"
+   cd "${EXTRA_S}"
+   emake || die "emake failed for manpages-fr-extra"
 }
+
 src_install() {
-   local man_pages="$(echo {manpages,manpages-dev}/fr/*/*) $(echo manpagesfr/*/*)"
+   # install manpages-fr-extra in a "man" subdir
+   cd "${EXTRA_S}"
+   make install || die "make install failed for manpages-fr-extra"
+   rm man/man1/groups.1 # in collision with sys-apps/shadow
+   cd "${S}"
+
+   local man_pages="\
+      $(echo {manpages,manpages-dev}/fr/*/*) \
+      $(echo manpagesfr/*/*) \
+      $(echo ${EXTRA_S}/man/*/*)"
 
    # nroff has some difficulties with charset=utf-8
    einfo "Converting man-pages to ISO-8859-1"

Bon, j'ai fait au plus court hein, mais évidemment ça pourrait aussi être l'objet d'un ebuild séparé (sûrement plus propre), et/ou d'un USE flag, ou que sais-je encore...

Et pour info, voilà la liste des pages que cette modif' ajoute :
Code:
/usr/share/man/fr/man1/[.1.bz2
/usr/share/man/fr/man1/arch.1.bz2
/usr/share/man/fr/man1/at.1.bz2
/usr/share/man/fr/man1/atq.1.bz2
/usr/share/man/fr/man1/atrm.1.bz2
/usr/share/man/fr/man1/base64.1.bz2
/usr/share/man/fr/man1/basename.1.bz2
/usr/share/man/fr/man1/bash.1.bz2
/usr/share/man/fr/man1/bash-minimal.1.bz2
/usr/share/man/fr/man1/bash-static.1.bz2
/usr/share/man/fr/man1/batch.1.bz2
/usr/share/man/fr/man1/cat.1.bz2
/usr/share/man/fr/man1/catchsegv.1.bz2
/usr/share/man/fr/man1/chattr.1.bz2
/usr/share/man/fr/man1/chcon.1.bz2
/usr/share/man/fr/man1/chgrp.1.bz2
/usr/share/man/fr/man1/chkdupexe.1.bz2
/usr/share/man/fr/man1/chmod.1.bz2
/usr/share/man/fr/man1/chown.1.bz2
/usr/share/man/fr/man1/chrt.1.bz2
/usr/share/man/fr/man1/cksum.1.bz2
/usr/share/man/fr/man1/clear_console.1.bz2
/usr/share/man/fr/man1/cmp.1.bz2
/usr/share/man/fr/man1/comm.1.bz2
/usr/share/man/fr/man1/compile_et.1.bz2
/usr/share/man/fr/man1/cp.1.bz2
/usr/share/man/fr/man1/crontab.1.bz2
/usr/share/man/fr/man1/csplit.1.bz2
/usr/share/man/fr/man1/cut.1.bz2
/usr/share/man/fr/man1/date.1.bz2
/usr/share/man/fr/man1/dd.1.bz2
/usr/share/man/fr/man1/ddate.1.bz2
/usr/share/man/fr/man1/df.1.bz2
/usr/share/man/fr/man1/diff.1.bz2
/usr/share/man/fr/man1/diff3.1.bz2
/usr/share/man/fr/man1/dir.1.bz2
/usr/share/man/fr/man1/dircolors.1.bz2
/usr/share/man/fr/man1/dirname.1.bz2
/usr/share/man/fr/man1/dmesg.1.bz2
/usr/share/man/fr/man1/du.1.bz2
/usr/share/man/fr/man1/echo.1.bz2
/usr/share/man/fr/man1/egrep.1.bz2
/usr/share/man/fr/man1/env.1.bz2
/usr/share/man/fr/man1/expand.1.bz2
/usr/share/man/fr/man1/expr.1.bz2
/usr/share/man/fr/man1/factor.1.bz2
/usr/share/man/fr/man1/false.1.bz2
/usr/share/man/fr/man1/fgrep.1.bz2
/usr/share/man/fr/man1/find.1.bz2
/usr/share/man/fr/man1/flock.1.bz2
/usr/share/man/fr/man1/fmt.1.bz2
/usr/share/man/fr/man1/fold.1.bz2
/usr/share/man/fr/man1/free.1.bz2
/usr/share/man/fr/man1/gencat.1.bz2
/usr/share/man/fr/man1/getconf.1.bz2
/usr/share/man/fr/man1/getent.1.bz2
/usr/share/man/fr/man1/getopt.1.bz2
/usr/share/man/fr/man1/grep.1.bz2
/usr/share/man/fr/man1/head.1.bz2
/usr/share/man/fr/man1/hostid.1.bz2
/usr/share/man/fr/man1/iconv.1.bz2
/usr/share/man/fr/man1/id.1.bz2
/usr/share/man/fr/man1/install.1.bz2
/usr/share/man/fr/man1/ipcrm.1.bz2
/usr/share/man/fr/man1/ipcs.1.bz2
/usr/share/man/fr/man1/join.1.bz2
/usr/share/man/fr/man1/kill.1.bz2
/usr/share/man/fr/man1/last.1.bz2
/usr/share/man/fr/man1/lastb.1.bz2
/usr/share/man/fr/man1/ldd.1.bz2
/usr/share/man/fr/man1/line.1.bz2
/usr/share/man/fr/man1/link.1.bz2
/usr/share/man/fr/man1/linux32.1.bz2
/usr/share/man/fr/man1/linux64.1.bz2
/usr/share/man/fr/man1/ln.1.bz2
/usr/share/man/fr/man1/locale.1.bz2
/usr/share/man/fr/man1/localedef.1.bz2
/usr/share/man/fr/man1/locate.findutils.1.bz2
/usr/share/man/fr/man1/logger.1.bz2
/usr/share/man/fr/man1/logname.1.bz2
/usr/share/man/fr/man1/ls.1.bz2
/usr/share/man/fr/man1/lsattr.1.bz2
/usr/share/man/fr/man1/mcookie.1.bz2
/usr/share/man/fr/man1/md5sum.1.bz2
/usr/share/man/fr/man1/md5sum.textutils.1.bz2
/usr/share/man/fr/man1/mesg.1.bz2
/usr/share/man/fr/man1/mk_cmds.1.bz2
/usr/share/man/fr/man1/mkdir.1.bz2
/usr/share/man/fr/man1/mkfifo.1.bz2
/usr/share/man/fr/man1/mknod.1.bz2
/usr/share/man/fr/man1/mktemp.1.bz2
/usr/share/man/fr/man1/more.1.bz2
/usr/share/man/fr/man1/most.1.bz2
/usr/share/man/fr/man1/mountpoint.1.bz2
/usr/share/man/fr/man1/mtrace.1.bz2
/usr/share/man/fr/man1/mv.1.bz2
/usr/share/man/fr/man1/nice.1.bz2
/usr/share/man/fr/man1/nl.1.bz2
/usr/share/man/fr/man1/nohup.1.bz2
/usr/share/man/fr/man1/od.1.bz2
/usr/share/man/fr/man1/paste.1.bz2
/usr/share/man/fr/man1/pathchk.1.bz2
/usr/share/man/fr/man1/pg.1.bz2
/usr/share/man/fr/man1/pgrep.1.bz2
/usr/share/man/fr/man1/pinky.1.bz2
/usr/share/man/fr/man1/pkill.1.bz2
/usr/share/man/fr/man1/pmap.1.bz2
/usr/share/man/fr/man1/pr.1.bz2
/usr/share/man/fr/man1/printenv.1.bz2
/usr/share/man/fr/man1/printf.1.bz2
/usr/share/man/fr/man1/ptx.1.bz2
/usr/share/man/fr/man1/pwd.1.bz2
/usr/share/man/fr/man1/pwdx.1.bz2
/usr/share/man/fr/man1/rbash.1.bz2
/usr/share/man/fr/man1/readlink.1.bz2
/usr/share/man/fr/man1/readprofile.1.bz2
/usr/share/man/fr/man1/rename.ul.1.bz2
/usr/share/man/fr/man1/renice.1.bz2
/usr/share/man/fr/man1/rev.1.bz2
/usr/share/man/fr/man1/rgrep.1.bz2
/usr/share/man/fr/man1/rm.1.bz2
/usr/share/man/fr/man1/rmdir.1.bz2
/usr/share/man/fr/man1/runcon.1.bz2
/usr/share/man/fr/man1/script.1.bz2
/usr/share/man/fr/man1/scriptreplay.1.bz2
/usr/share/man/fr/man1/sdiff.1.bz2
/usr/share/man/fr/man1/seq.1.bz2
/usr/share/man/fr/man1/setsid.1.bz2
/usr/share/man/fr/man1/setterm.1.bz2
/usr/share/man/fr/man1/sh.1.bz2
/usr/share/man/fr/man1/sha1sum.1.bz2
/usr/share/man/fr/man1/sha224sum.1.bz2
/usr/share/man/fr/man1/sha256sum.1.bz2
/usr/share/man/fr/man1/sha384sum.1.bz2
/usr/share/man/fr/man1/sha512sum.1.bz2
/usr/share/man/fr/man1/shred.1.bz2
/usr/share/man/fr/man1/shuf.1.bz2
/usr/share/man/fr/man1/skill.1.bz2
/usr/share/man/fr/man1/slabtop.1.bz2
/usr/share/man/fr/man1/sleep.1.bz2
/usr/share/man/fr/man1/snice.1.bz2
/usr/share/man/fr/man1/sort.1.bz2
/usr/share/man/fr/man1/split.1.bz2
/usr/share/man/fr/man1/sprof.1.bz2
/usr/share/man/fr/man1/stat.1.bz2
/usr/share/man/fr/man1/stdbuf.1.bz2
/usr/share/man/fr/man1/stty.1.bz2
/usr/share/man/fr/man1/sum.1.bz2
/usr/share/man/fr/man1/sync.1.bz2
/usr/share/man/fr/man1/tac.1.bz2
/usr/share/man/fr/man1/tail.1.bz2
/usr/share/man/fr/man1/tailf.1.bz2
/usr/share/man/fr/man1/taskset.1.bz2
/usr/share/man/fr/man1/tee.1.bz2
/usr/share/man/fr/man1/test.1.bz2
/usr/share/man/fr/man1/timeout.1.bz2
/usr/share/man/fr/man1/tload.1.bz2
/usr/share/man/fr/man1/top.1.bz2
/usr/share/man/fr/man1/touch.1.bz2
/usr/share/man/fr/man1/tr.1.bz2
/usr/share/man/fr/man1/true.1.bz2
/usr/share/man/fr/man1/truncate.1.bz2
/usr/share/man/fr/man1/tsort.1.bz2
/usr/share/man/fr/man1/tty.1.bz2
/usr/share/man/fr/man1/tzselect.1.bz2
/usr/share/man/fr/man1/uname.1.bz2
/usr/share/man/fr/man1/unexpand.1.bz2
/usr/share/man/fr/man1/uniq.1.bz2
/usr/share/man/fr/man1/unlink.1.bz2
/usr/share/man/fr/man1/uptime.1.bz2
/usr/share/man/fr/man1/users.1.bz2
/usr/share/man/fr/man1/uuidgen.1.bz2
/usr/share/man/fr/man1/vdir.1.bz2
/usr/share/man/fr/man1/wall.1.bz2
/usr/share/man/fr/man1/wc.1.bz2
/usr/share/man/fr/man1/whereis.1.bz2
/usr/share/man/fr/man1/who.1.bz2
/usr/share/man/fr/man1/whoami.1.bz2
/usr/share/man/fr/man1/w.procps.1.bz2
/usr/share/man/fr/man1/xargs.1.bz2
/usr/share/man/fr/man1/yes.1.bz2
/usr/share/man/fr/man1/zdump.1.bz2
/usr/share/man/fr/man3/com_err.3.bz2
/usr/share/man/fr/man3/pthread_atfork.3.bz2
/usr/share/man/fr/man3/pthread_condattr_destroy.3.bz2
/usr/share/man/fr/man3/pthread_condattr_init.3.bz2
/usr/share/man/fr/man3/pthread_cond_broadcast.3.bz2
/usr/share/man/fr/man3/pthread_cond_destroy.3.bz2
/usr/share/man/fr/man3/pthread_cond_init.3.bz2
/usr/share/man/fr/man3/pthread_cond_signal.3.bz2
/usr/share/man/fr/man3/pthread_cond_timedwait.3.bz2
/usr/share/man/fr/man3/pthread_cond_wait.3.bz2
/usr/share/man/fr/man3/pthread_getspecific.3.bz2
/usr/share/man/fr/man3/pthread_key_create.3.bz2
/usr/share/man/fr/man3/pthread_key_delete.3.bz2
/usr/share/man/fr/man3/pthread_kill_other_threads_np.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_destroy.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_gettype.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_init.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_setkind_np.3.bz2
/usr/share/man/fr/man3/pthread_mutexattr_settype.3.bz2
/usr/share/man/fr/man3/pthread_mutex_destroy.3.bz2
/usr/share/man/fr/man3/pthread_mutex_init.3.bz2
/usr/share/man/fr/man3/pthread_mutex_lock.3.bz2
/usr/share/man/fr/man3/pthread_mutex_trylock.3.bz2
/usr/share/man/fr/man3/pthread_mutex_unlock.3.bz2
/usr/share/man/fr/man3/pthread_once.3.bz2
/usr/share/man/fr/man3/pthread_setspecific.3.bz2
/usr/share/man/fr/man3/pthread_sigmask.3.bz2
/usr/share/man/fr/man3/uuid_clear.3.bz2
/usr/share/man/fr/man3/uuid_compare.3.bz2
/usr/share/man/fr/man3/uuid_copy.3.bz2
/usr/share/man/fr/man3/uuid_generate.3.bz2
/usr/share/man/fr/man3/uuid_generate_random.3.bz2
/usr/share/man/fr/man3/uuid_generate_time.3.bz2
/usr/share/man/fr/man3/uuid_is_null.3.bz2
/usr/share/man/fr/man3/uuid_parse.3.bz2
/usr/share/man/fr/man3/uuid_time.3.bz2
/usr/share/man/fr/man3/uuid_unparse.3.bz2
/usr/share/man/fr/man5/at.allow.5.bz2
/usr/share/man/fr/man5/at.deny.5.bz2
/usr/share/man/fr/man5/crontab.5.bz2
/usr/share/man/fr/man5/e2fsck.conf.5.bz2
/usr/share/man/fr/man5/exports.5.bz2
/usr/share/man/fr/man5/fstab.5.bz2
/usr/share/man/fr/man5/gai.conf.5.bz2
/usr/share/man/fr/man5/halt.5.bz2
/usr/share/man/fr/man5/idmapd.conf.5.bz2
/usr/share/man/fr/man5/initscript.5.bz2
/usr/share/man/fr/man5/inittab.5.bz2
/usr/share/man/fr/man5/lilo.conf.5.bz2
/usr/share/man/fr/man5/locale.gen.5.bz2
/usr/share/man/fr/man5/locatedb.5.bz2
/usr/share/man/fr/man5/mke2fs.conf.5.bz2
/usr/share/man/fr/man5/nfs.5.bz2
/usr/share/man/fr/man5/nscd.conf.5.bz2
/usr/share/man/fr/man5/rcS.5.bz2
/usr/share/man/fr/man5/sysctl.conf.5.bz2
/usr/share/man/fr/man7/bash-builtins.7.bz2
/usr/share/man/fr/man7/nfsd.7.bz2
/usr/share/man/fr/man8/activate.8.bz2
/usr/share/man/fr/man8/addpart.8.bz2
/usr/share/man/fr/man8/atd.8.bz2
/usr/share/man/fr/man8/badblocks.8.bz2
/usr/share/man/fr/man8/blockdev.8.bz2
/usr/share/man/fr/man8/bootlogd.8.bz2
/usr/share/man/fr/man8/cfdisk.8.bz2
/usr/share/man/fr/man8/chroot.8.bz2
/usr/share/man/fr/man8/clock.8.bz2
/usr/share/man/fr/man8/cron.8.bz2
/usr/share/man/fr/man8/ctrlaltdel.8.bz2
/usr/share/man/fr/man8/cytune.8.bz2
/usr/share/man/fr/man8/debugfs.reiser4.8.bz2
/usr/share/man/fr/man8/debugreiserfs.8.bz2
/usr/share/man/fr/man8/delpart.8.bz2
/usr/share/man/fr/man8/dosfsck.8.bz2
/usr/share/man/fr/man8/dosfslabel.8.bz2
/usr/share/man/fr/man8/dumpe2fs.8.bz2
/usr/share/man/fr/man8/e2freefrag.8.bz2
/usr/share/man/fr/man8/e2fsck.8.bz2
/usr/share/man/fr/man8/e2fsck.static.8.bz2
/usr/share/man/fr/man8/e2image.8.bz2
/usr/share/man/fr/man8/e2label.8.bz2
/usr/share/man/fr/man8/e2undo.8.bz2
/usr/share/man/fr/man8/exportfs.8.bz2
/usr/share/man/fr/man8/fdformat.8.bz2
/usr/share/man/fr/man8/fdisk.8.bz2
/usr/share/man/fr/man8/findfs.8.bz2
/usr/share/man/fr/man8/fsck.8.bz2
/usr/share/man/fr/man8/fsck.ext2.8.bz2
/usr/share/man/fr/man8/fsck.ext3.8.bz2
/usr/share/man/fr/man8/fsck.ext4.8.bz2
/usr/share/man/fr/man8/fsck.ext4dev.8.bz2
/usr/share/man/fr/man8/fsck.minix.8.bz2
/usr/share/man/fr/man8/fsck.msdos.8.bz2
/usr/share/man/fr/man8/fsck.nfs.8.bz2
/usr/share/man/fr/man8/fsck.reiser4.8.bz2
/usr/share/man/fr/man8/fsck.vfat.8.bz2
/usr/share/man/fr/man8/fstab-decode.8.bz2
/usr/share/man/fr/man8/getty.8.bz2
/usr/share/man/fr/man8/gssd.8.bz2
/usr/share/man/fr/man8/halt.8.bz2
/usr/share/man/fr/man8/hwclock.8.bz2
/usr/share/man/fr/man8/i386.8.bz2
/usr/share/man/fr/man8/iconvconfig.8.bz2
/usr/share/man/fr/man8/idmapd.8.bz2
/usr/share/man/fr/man8/init.8.bz2
/usr/share/man/fr/man8/invoke-rc.d.8.bz2
/usr/share/man/fr/man8/isosize.8.bz2
/usr/share/man/fr/man8/keytab-lilo.8.bz2
/usr/share/man/fr/man8/killall5.8.bz2
/usr/share/man/fr/man8/ldconfig.8.bz2
/usr/share/man/fr/man8/ld.so.8.bz2
/usr/share/man/fr/man8/lilo.8.bz2
/usr/share/man/fr/man8/liloconfig.8.bz2
/usr/share/man/fr/man8/lilo_find_mbr.8.bz2
/usr/share/man/fr/man8/lilo.real.8.bz2
/usr/share/man/fr/man8/locale-gen.8.bz2
/usr/share/man/fr/man8/logsave.8.bz2
/usr/share/man/fr/man8/losetup.8.bz2
/usr/share/man/fr/man8/measurefs.reiser4.8.bz2
/usr/share/man/fr/man8/mkdosfs.8.bz2
/usr/share/man/fr/man8/mke2fs.8.bz2
/usr/share/man/fr/man8/mkfs.8.bz2
/usr/share/man/fr/man8/mkfs.ext2.8.bz2
/usr/share/man/fr/man8/mkfs.ext3.8.bz2
/usr/share/man/fr/man8/mkfs.ext4dev.8.bz2
/usr/share/man/fr/man8/mkfs.minix.8.bz2
/usr/share/man/fr/man8/mkfs.msdos.8.bz2
/usr/share/man/fr/man8/mkfs.reiser4.8.bz2
/usr/share/man/fr/man8/mkfs.vfat.8.bz2
/usr/share/man/fr/man8/mklost+found.8.bz2
/usr/share/man/fr/man8/mkreiserfs.8.bz2
/usr/share/man/fr/man8/mkrescue.8.bz2
/usr/share/man/fr/man8/mount.8.bz2
/usr/share/man/fr/man8/mountd.8.bz2
/usr/share/man/fr/man8/mount.nfs.8.bz2
/usr/share/man/fr/man8/nfsd.8.bz2
/usr/share/man/fr/man8/nfsstat.8.bz2
/usr/share/man/fr/man8/nscd.8.bz2
/usr/share/man/fr/man8/partx.8.bz2
/usr/share/man/fr/man8/pidof.8.bz2
/usr/share/man/fr/man8/pivot_root.8.bz2
/usr/share/man/fr/man8/poweroff.8.bz2
/usr/share/man/fr/man8/ramsize.8.bz2
/usr/share/man/fr/man8/rdev.8.bz2
/usr/share/man/fr/man8/reboot.8.bz2
/usr/share/man/fr/man8/resize2fs.8.bz2
/usr/share/man/fr/man8/rmt-tar.8.bz2
/usr/share/man/fr/man8/rootflags.8.bz2
/usr/share/man/fr/man8/rpcdebug.8.bz2
/usr/share/man/fr/man8/rpc.gssd.8.bz2
/usr/share/man/fr/man8/rpc.idmapd.8.bz2
/usr/share/man/fr/man8/rpc.mountd.8.bz2
/usr/share/man/fr/man8/rpc.nfsd.8.bz2
/usr/share/man/fr/man8/rpc.statd.8.bz2
/usr/share/man/fr/man8/rpc.svcgssd.8.bz2
/usr/share/man/fr/man8/runlevel.8.bz2
/usr/share/man/fr/man8/service.8.bz2
/usr/share/man/fr/man8/setarch.8.bz2
/usr/share/man/fr/man8/sfdisk.8.bz2
/usr/share/man/fr/man8/showmount.8.bz2
/usr/share/man/fr/man8/shutdown.8.bz2
/usr/share/man/fr/man8/sm-notify.8.bz2
/usr/share/man/fr/man8/startpar.8.bz2
/usr/share/man/fr/man8/statd.8.bz2
/usr/share/man/fr/man8/sulogin.8.bz2
/usr/share/man/fr/man8/svcgssd.8.bz2
/usr/share/man/fr/man8/swapoff.8.bz2
/usr/share/man/fr/man8/swapon.8.bz2
/usr/share/man/fr/man8/sysctl.8.bz2
/usr/share/man/fr/man8/telinit.8.bz2
/usr/share/man/fr/man8/tune2fs.8.bz2
/usr/share/man/fr/man8/umount.8.bz2
/usr/share/man/fr/man8/umount.nfs.8.bz2
/usr/share/man/fr/man8/update-lilo.8.bz2
/usr/share/man/fr/man8/update-locale.8.bz2
/usr/share/man/fr/man8/update-rc.d.8.bz2
/usr/share/man/fr/man8/validlocale.8.bz2
/usr/share/man/fr/man8/vidmode.8.bz2
/usr/share/man/fr/man8/vmstat.8.bz2
/usr/share/man/fr/man8/zic.8.bz2


Voilà voilà, mes 2 centimes...
Et bonne année à tous !


Mhhh... tu voix j'avais même pas remarqué que tout les pages n'étaient pas installées :) ,
point intéressant, tu pourrai m'envoyer ton patch en e-mail ? (mrpouet@gentoo.org)

Merci au fait ;)
Back to top
View user's profile Send private message
gglaboussole
l33t
l33t


Joined: 17 May 2005
Posts: 626
Location: Monbalen (47),France

PostPosted: Wed Jan 27, 2010 8:24 pm    Post subject: Reply with quote

Salut mrpouet !
Merci beaucoup pour ton ebuild ça marche nickel :D
_________________
On m'a dit que la terre tourne, alors j'attends que ma maison passe par ici...
Back to top
View user's profile Send private message
mrpouet
Retired Dev
Retired Dev


Joined: 29 Jul 2008
Posts: 87
Location: Bordeaux, France

PostPosted: Thu Jan 28, 2010 8:46 am    Post subject: Reply with quote

hehe, ah ben tant mieux alors.
il faut juste que j'intègre le patch de TGL et ensuite je pense que je pourrai le bouger dans portage ;)
(arf j'ai 55000 trucs à faire en ce moment :lol: )
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum